> For the complete documentation index, see [llms.txt](https://apidocs.onekeypayments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.onekeypayments.com/api-reference/reconciliation-api/retrieve-information/get-cashouts.md).

# Get cashouts

## Cashouts Endpoint

> Retrieve the details of all your Cashouts in a given time.

```json
{"openapi":"3.0.0","info":{"title":"Reconciliation API - Cashouts Endpoint","version":"1.0.0"},"servers":[{"url":"https://merchants-api.onekeypayments.com/v1","description":"Production Server"},{"url":"https://merchants-api-stg.onekeypayments.com/v1","description":"Staging Server"}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"BEARER_TOKEN"}},"schemas":{"PaginatedCashouts":{"allOf":[{"$ref":"#/components/schemas/Pagination"},{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Cashout"}}}}]},"Pagination":{"type":"object","properties":{"page":{"type":"integer"},"rows":{"type":"integer"},"maxRows":{"type":"integer"}}},"Cashout":{"type":"object","properties":{"idCashout":{"type":"integer"},"externalId":{"type":"string"},"creationDate":{"type":"string","format":"date-time"},"country":{"type":"string"},"currency":{"type":"string"},"amount":{"type":"number","format":"float"},"creditedCurrency":{"type":"string"},"creditedAmount":{"type":"number","format":"float"},"merchantCurrency":{"type":"string"},"merchantAmount":{"type":"number","format":"float"},"feeCurrency":{"type":"string"},"fee":{"type":"number","format":"float"},"tax":{"type":"number","format":"float"},"lastChangeDate":{"type":"string","format":"date-time"},"status":{"type":"string"},"clientDocument":{"type":"string"},"flags":{"type":"array","items":{}},"idMerchant":{"type":"integer"},"merchantName":{"type":"string"},"reason":{"type":"string"},"existVoucher":{"type":"boolean"}}}}},"paths":{"/cashouts":{"get":{"summary":"Cashouts Endpoint","description":"Retrieve the details of all your Cashouts in a given time.","operationId":"getCashouts","tags":["Transactions"],"parameters":[{"name":"from","in":"query","description":"Transaction creation date interval in UnixTimeStamp format.","schema":{"type":"integer"}},{"name":"to","in":"query","description":"Transaction creation date interval in Unix TimeStamp format, max difference with 'from' value 60 days.","schema":{"type":"integer"}},{"name":"page","in":"query","description":"The page number.","schema":{"type":"integer","default":0}},{"name":"country","in":"query","description":"Country's code.","schema":{"type":"string","maxLength":2}},{"name":"status","in":"query","description":"Transaction status.","schema":{"type":"string","enum":["ON_HOLD","PENDING","DELIVERED","COMPLETED","REJECTED","CANCELLED","DECLINED"]}},{"name":"clientDocument","in":"query","description":"The customer's document.","schema":{"type":"string"}}],"responses":{"200":{"description":"A paginated list of cashouts.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedCashouts"}}}}}}}}}
```
